com.pdfunit

## Enum CertificationLevel

- java.lang.Object
- - java.lang.Enum<CertificationLevel>
  - - com.pdfunit.CertificationLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CertificationLevel>

      @DoNotObfuscate
      public enum CertificationLevel
      extends java.lang.Enum<CertificationLevel>

  This class defines the certification levels.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORM_FILLING`
    `FORM_FILLING_AND_ANNOTATIONS`
    `NO_CHANGES_ALLOWED`
    `NOT_CERTIFIED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertificationLevel` | `getInstance(int levelValue)`
    `static CertificationLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CertificationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_CERTIFIED

          public static final CertificationLevel NOT_CERTIFIED

    - #### NO_CHANGES_ALLOWED

          public static final CertificationLevel NO_CHANGES_ALLOWED

    - #### FORM_FILLING

          public static final CertificationLevel FORM_FILLING

    - #### FORM_FILLING_AND_ANNOTATIONS

          public static final CertificationLevel FORM_FILLING_AND_ANNOTATIONS

  - ### Method Detail

    - #### values

          public static CertificationLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertificationLevel c : CertificationLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertificationLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getInstance

          public static CertificationLevel getInstance(int levelValue)

Copyright (C) PDFUnit.com. See here for license.